POST api/Subscription/CreatePurchase
Request Information
URI Parameters
None.
Body Parameters
SubscriptionCreation| Name | Description | Type | Additional information |
|---|---|---|---|
| paymentMethodNonce | string |
None. |
|
| planId | string |
None. |
|
| user_guid | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"paymentMethodNonce": "sample string 1",
"planId": "sample string 2",
"user_guid": "sample string 3"
}
application/xml, text/xml
Sample:
<SubscriptionCreation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SofyWebApi.Controllers"> <paymentMethodNonce>sample string 1</paymentMethodNonce> <planId>sample string 2</planId> <user_guid>sample string 3</user_guid> </SubscriptionCreation>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |